Show
deprecated
Get a single custom field.
GET
/
v1
/
custom_fields
/
{id}
Show
curl --request GET \
--url https://api.incident.io/v1/custom_fields/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.incident.io/v1/custom_fields/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.incident.io/v1/custom_fields/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"custom_field": {
"catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "Which team is impacted by this issue",
"field_type": "single_select",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Affected Team",
"options": [
{
"custom_field_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"sort_key": 10,
"value": "Product"
}
],
"required": "never",
"required_v2": "never",
"show_before_closure": true,
"show_before_creation": true,
"show_before_update": true,
"show_in_announcement_post": true,
"updated_at": "2021-08-17T13:28:57.801578Z"
}
}🔑 Requires the
custom_fields.view scope.Authorizations
API key from your incident.io dashboard (Settings → API keys)
Path Parameters
Unique identifier for the custom field
Example:
"01FCNDV6P870EA6S7TK1DSYDG0"
Response
200 - application/json
OK response.
Show child attributes
Show child attributes
Example:
{
"catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "Which team is impacted by this issue",
"field_type": "single_select",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Affected Team",
"options": [
{
"custom_field_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"sort_key": 10,
"value": "Product"
}
],
"required": "never",
"required_v2": "never",
"show_before_closure": true,
"show_before_creation": true,
"show_before_update": true,
"show_in_announcement_post": true,
"updated_at": "2021-08-17T13:28:57.801578Z"
}
Was this page helpful?
⌘I
Show
